#ifndef SVADIO
#define SVADIO

struct encoding_info {
	u_long  sample_rate;                    /* sample rate */
	u_int   encoding;                       /* encoding of data sent as input, e.g. ulaw, linear, etc */
	u_int   precision;                      /* bits/sample */
	u_int   channels;                       /* mono(1), stereo(2) */
};


struct svad_info {
	struct encoding_info ei;	
};


struct audio_params_pack  {

	char id[8];		/* This is an 8 character id that signals a audio_param_pack */
	int  size;		/* Size of the remaining packet, encoding info, etc.         */
	struct encoding_info ec;
	
};


/* ioctl commands */
#define SVAD_GETINFO	_IOR('A', 21, struct svad_info)
#define SVAD_GETSTATUS  _IOR('A', 22, int) 

#endif
