#ifndef __VADCLIENT_DECODE_H
#define __VADCLIENT_DECODE_H

/* Functions for setting up the decoding engine, called everytime */
/* We recieve a new net_audio_params_pack. 			   */
int decode_init(struct net_audio_params_pack *packet);
void decode_deinit();

/* The decode function. All the decoding happens in here. */
int decode_and_write(struct audio_data_packet *packet);

/* Returns whether vorbis decompression has been setup */
int is_decode_setup();

#endif
